#include <stdio.h>
#include <stdlib.h>

int main(){
	unsigned int a = 0xa2;
	unsigned int b = 0xb;
	unsigned long long int res = 0;
	unsigned long long int extra = (unsigned long long int) a;
	while (b) {
		if (b & 0x1) res += extra;
		extra = extra << 1;
		b = b >> 1;
	}
	exit(0);
}

